{$undef out}{$define out writeln(foo}
  tst(out);
{$if not defined (Classic) and not defined (Borland)}
{$undef out}{$define out writeln(foo,buf);writestr(buf}
  tst(out);
  out);
{$endif}
{$if not defined (Standard) and not defined (Borland)}
{$undef out}{$define out
  bc:=b2h;
  while (bc>=b2l) and (buf2[bc]=' ') do dec(bc);
  for bz:=b2l to bc do write(foo,buf2[bz]);
  writeln(foo);
  writestr(buf2}
  tst(out);
  out);
{$endif}
  out);
